base: 'https://karriere.pmu.ac.at'
baseVariants:
  -
    base: 'https://karriere.pmu.ac.at.ddev.site'
    condition: 'applicationContext == "Development"'
errorHandling:
  -
    errorCode: 404
    errorHandler: Page
    errorContentSource: 't3://page?uid=197'
languages:
  -
    title: Deutsch
    enabled: true
    base: /
    typo3Language: de
    locale: de_DE.UTF-8
    iso-639-1: de
    websiteTitle: ''
    navigationTitle: DE
    hreflang: de-DE
    direction: ''
    flag: de
    languageId: 0
  -
    title: English
    enabled: true
    base: /en/
    typo3Language: default
    locale: en_US.UTF-8
    iso-639-1: en
    websiteTitle: ''
    navigationTitle: EN
    hreflang: en-US
    direction: ''
    fallbackType: strict
    fallbacks: ''
    flag: gb
    languageId: 2
rootPageId: 197
routeEnhancers:
  JobapplicationsDetailView:
    type: Extbase
    namespace: tx_jobapplications_detailview
    routes:
      -
        routePath: '/position/{slug}'
        _controller: 'Posting::show'
        _arguments:
          slug: posting
    defaultController: 'Posting::list'
    defaults:
      page: ''
    aspects:
      slug:
        type: PersistedAliasMapper
        tableName: tx_jobapplications_domain_model_posting
        routeFieldName: slug
  JobapplicationsApplicationForm:
    type: Extbase
    namespace: tx_jobapplications_applicationform
    routes:
      -
        routePath: '/{slug}'
        _controller: 'Application::new'
        _arguments:
          slug: posting
    defaultController: 'Application::new'
    defaults:
      page: ''
    aspects:
      slug:
        type: PersistedAliasMapper
        tableName: tx_jobapplications_domain_model_posting
        routeFieldName: slug
websiteTitle: ''
